using MongoDB.Bson;
using MongoDB.Bson.Serialization.Attributes;

namespace Marco.Pms.Model.TenantModels.MongoDBModel
{
    public class FeatureDetails
    {
        [BsonId]
        [BsonRepresentation(BsonType.String)]
        public Guid Id { get; set; } = Guid.NewGuid();
        public ModulesDetails? Modules { get; set; }
        public ReportDetails? Reports { get; set; }
        public SupportDetails? Supports { get; set; }
        public List<SubscriptionCheckList> SubscriptionCheckList { get; set; } = new List<SubscriptionCheckList>();


    }
}
